#include "hc_12.h"
#include "hc_12_uart.h"
#include "led.h"
#include "time_base.h"
#include "exti.h"
HC_12_Config_Typedef hc12Config;

int main()
{

	Ticks_Init(16000000);
	PC13_EXTI_Init();
	led_init();
	HC_12_SET_Pin_init();
	hc12_uart_init(9600, 16000000);


	hc12Config.Buadrate=9600;
	hc12Config.Channel=1;
	hc12Config.Power=P_20dBm;
	HC_12_Config(&hc12Config);



	while(1)
	{
		if (button_Pressed())
		{
			clear_pressed();
			hc12_write_char('1');
		}
	}


}
